.twelvekm-clients-block {
    margin-block-end: var(--12k--style--block-gap);
    overflow: hidden;
}
.twelvekm-clients-track {
    display: flex;
    gap: var(--wp--style--block-gap); 
}
.twelvekm-clients-track figure {
    --12k--layout-body-width: calc(100vw - var(--12k--style--site--gutter) * 2);
    aspect-ratio: 1 / 1;
    border: 1px solid var(--wp--preset--color--tertiary);
    border-radius: 0.5rem;
    flex-shrink: 0;
    padding: clamp(1rem, 0.6667rem + 1.6667vw, 2rem);
    position: relative;
    transition: border 300ms ease;
    width: calc((var(--12k--layout-body-width) - var(--wp--style--block-gap)) / 2);
}
.twelvekm-clients-track figure:hover {
    border: 1px solid var(--wp--preset--color--secondary);
}
.twelvekm-clients-track figure img {
    height: auto;
    inset-block-start: 50%;
    inset-inline-start: 50%;
    max-height: calc(100% - clamp(1rem, 0.6667rem + 1.6667vw, 2rem) * 2);
    max-width: calc(100% - clamp(1rem, 0.6667rem + 1.6667vw, 2rem) * 2);
    position: absolute;
    transform: translate(-50%,-50%);
    width: auto;
}
@media (min-width: 48em) {
    .twelvekm-clients-track figure {
        width: calc((var(--12k--layout-body-width) - (var(--wp--style--block-gap) * 3) ) / 4);
    }
}
@media (min-width: 64em) {
    .twelvekm-clients-track figure {
        width: calc((var(--12k--layout-body-width) - (var(--wp--style--block-gap) * 4) ) / 5);
    }
}
@media (min-width: 80em) {
    .twelvekm-clients-track figure {
        max-width: 218px;
        width: calc((var(--12k--layout-body-width) - (var(--wp--style--block-gap) * 5) ) / 6);
    }
}